chrome.app.runtime.onLaunched.addListener(function() {
	chrome.power.requestKeepAwake("system");
	chrome.system.display.getInfo(function(displayInfoObjects) {
		var count = displayInfoObjects.length;
		for (var i=0; i<count; i++) {
			var displayInfo = displayInfoObjects[i];
			chrome.app.window.create('index.html?instance='+i, {
				frame: 'none',
				outerBounds: {
					left: displayInfo.bounds.left,
					top: displayInfo.bounds.top,
					width: 640,
					height: 360
				},
				state: 'fullscreen'
			}, function(event) {
				chrome.app.window.current().fullscreen();
			});
		}
	});
});